#
# Conditional build:
%bcond_without	ltm		# use LibTomMath for Math provider

Summary:	LibTomCrypt - fairly comprehensive, modular and portable cryptographic toolkit
Summary(pl.UTF-8):	LibTomCrypt - dość obszerna, modularna i przenośna biblioteka kryptograficzna
Name:		libtomcrypt
Version:	1.18.2
Release:	2
License:	Public Domain or WTFPL v2
Group:		Libraries
#Source0Download: https://github.com/libtom/libtomcrypt/releases
Source0:	https://github.com/libtom/libtomcrypt/releases/download/v%{version}/crypt-%{version}.tar.xz
# Source0-md5:	e8d22351b7c95bef423c1cd02dcf836d
Patch0:		%{name}-pc.patch
URL:		http://www.libtom.net/LibTomCrypt/
%{?with_ltm:BuildRequires:	libtommath-devel >= 1.0.1}
BuildRequires:	libtool >= 2:1.5
%{?with_ltm:BuildRequires:	pkgconfig}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibTomCrypt is a fairly comprehensive, modular and portable
cryptographic toolkit that provides developers with a vast array of
well known published block ciphers, one-way hash functions, chaining
modes, pseudo-random number generators, public key cryptography and a
plethora of other routines.

%description -l pl.UTF-8
LibTomCrypt to dość obszerna, modularna i przenośna biblioteka
kryptograficzna, zapewniająca programistom szeroki zbiór dobrze
znanych szyfrów blokowych, jednokierunkowych funkcji haszujących,
trybów łańcuchowych, generatorów liczb pseudolosowych, kryptografii
klucza publicznego oraz wiele innych procedur.

%package devel
Summary:	Header files for LibTomCrypt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibTomCrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_ltm:Requires:	libtommath-devel}

%description devel
Header files for LibTomCrypt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LibTomCrypt.

%package static
Summary:	Static LibTomCrypt library
Summary(pl.UTF-8):	Statyczna biblioteka LibTomCrypt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
%{?with_ltm:Requires:	libtommath-static}

%description static
Static LibTomCrypt library.

%description static -l pl.UTF-8
Statyczna biblioteka LibTomCrypt.

%prep
%setup -q
%patch0 -p1

%build
# IGNORE_SPEED avoids overriding rpmcflags
CFLAGS="%{rpmcflags} %{?with_ltm:-DUSE_LTM -DLTM_DESC}" \
%{__make} -f makefile.shared \
	CC="%{__cc}" \
	IGNORE_SPEED=1 \
	LIBPATH=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -f makefile.shared install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBPATH=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md changes
%attr(755,root,root) %{_libdir}/libtomcrypt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtomcrypt.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/crypt.pdf notes/*.txt
%attr(755,root,root) %{_libdir}/libtomcrypt.so
%{_libdir}/libtomcrypt.la
%{_includedir}/tomcrypt*.h
%{_pkgconfigdir}/libtomcrypt.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtomcrypt.a
%changelog
* Wed Apr 13 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtomcrypt.git;a=log;h=master

* Wed Apr 13 2022 Jan Palus <atler@pld-linux.org> 8c9ade2
- rebuild with autoreqs

* Thu Jan 14 2021 Jan Palus <atler@pld-linux.org> a1139c0
- up to 1.18.2

* Fri Apr 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 78baa3c
- new URL, updated to 1.18.1 (note: new libtomcrypt soname, libtomcrypt_prof dropped)
- removed obsolete link,makefile patches
- added pc patch (fix libdir in .pc file)

* Wed Aug 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 6768e8a
- release 4 (libtommath rebuild)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> f855753
- updated URLs

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> bb6d020
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> b10b7b9
- rel 2

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 1680eb3
- add deps for devel packages

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> b7e9282
- build with our cflags

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 9b363aa
- build with LibTomMath (notes/tech0007.txt)

* Sun Dec 28 2014 Jakub Bogusz <qboosh@pld-linux.org> e5afb02
- new URL

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 6ec0132
- --tag requires libtool 1.5

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 105aa51
- new

